!**********************************************************************************************************************
! xPictureBrowse Class v2.4
! Copyright 2001-2010, SealSoft Company
!**********************************************************************************************************************

!  INCLUDE('ABUTIL.INC'),ONCE
  INCLUDE('ABRESIZE.INC'),ONCE
  INCLUDE('ABPOPUP.INC'),ONCE

  OMIT('_EndOfInclude_',_xPBrowseClassPresent_)
_xPBrowseClassPresent_    EQUATE(1)

AllFilesQ               QUEUE,TYPE
Name                      STRING(256)
ShortName                 STRING(13)
Date                      LONG
Time                      LONG
Size                      LONG
Attrib                    BYTE
                        END

SelFilesQ               QUEUE,TYPE,PRE(SEL)
FileName                  STRING(256)
Style1                    LONG
FileSize                  LONG
Style2                    LONG
FileDate                  LONG
Style3                    LONG
FileTime                  LONG
Style4                    LONG
FileExt                   STRING(256)
Type                      BYTE
Number                    LONG
UpperFileName             STRING(256)
                        END

DriversQ                QUEUE,TYPE
DISK                      STRING(2)
DiskType                  STRING(100)
                        END

StoredDirQ              QUEUE,TYPE
DirName                   STRING(256)
                        END

MODE:A                  EQUATE(1)
MODE:S                  EQUATE(2)
MODE:T                  EQUATE(3)

xPViewClass             CLASS,MODULE('xpbrowse.clw'),TYPE,LINK('xpbrowse.clw',_ABCLinkMode_),DLL(_ABCDllMode_)
Image                     LONG,PRIVATE
Panel                     LONG,PRIVATE
Window                    &Window,PRIVATE
PicExist                  BYTE,PRIVATE
BorderSize                BYTE,PRIVATE
Mode                      BYTE,PRIVATE
FileName                  STRING(255)
Construct                 PROCEDURE
Destruct                  PROCEDURE
Init                      PROCEDURE(WINDOW ParWin, LONG ControlImage, LONG ControlPanel, BYTE BorderSize), VIRTUAL
Kill                      PROCEDURE
ShowPicture               PROCEDURE(STRING FileName, <BYTE Mode>, <STRING FileName1>),VIRTUAL
ShowBlob                  PROCEDURE(*BLOB BlobContainer, <BYTE Mode>),VIRTUAL
ResizePicture             PROCEDURE(<BYTE Mode>, BYTE ForceShow=0),VIRTUAL
SetMode                   PROCEDURE(BYTE Mode)
FindFile                  PROCEDURE(STRING FileName),BYTE
GetFileName               PROCEDURE(), STRING
ExtractFile               PROCEDURE(STRING INP:Path), STRING
                        END

xPViewReportClass       CLASS(xPViewClass),MODULE('xpbrowse.clw'),TYPE,LINK('xpbrowse.clw',_ABCLinkMode_),DLL(_ABCDllMode_)
Report                    &Report, PRIVATE
Init                      PROCEDURE(Report ParReport, LONG ControlImage, LONG ControlPanel, BYTE BorderSize), VIRTUAL
ShowPicture               PROCEDURE(STRING FileName, <BYTE Mode>, <STRING FileName1>),VIRTUAL
ShowBlob                  PROCEDURE(*BLOB BlobContainer, <BYTE Mode>, BYTE ForceShow=0),VIRTUAL
ResizePicture             PROCEDURE(<BYTE Mode>, BYTE ForceShow=0),VIRTUAL
                        END

xPBrowseClass           CLASS,MODULE('xpbrowse.clw'),TYPE,LINK('xpbrowse.clw',_ABCLinkMode_),DLL(_ABCDllMode_)
AllFiles                  &AllFilesQ,PRIVATE
SelFiles                  &SelFilesQ,PRIVATE
Drivers                   &DriversQ,PRIVATE
StoredDir                 &StoredDirQ,PRIVATE
Resizer                   &WindowResizeClass,PRIVATE
ImageOne                  &xPViewClass,PRIVATE
Trn                       &TranslatorClass,PROTECTED
Popup                     &PopupClass,PROTECTED
IniFileName               STRING(255),PRIVATE
ResultString              STRING(255),PRIVATE
CString                   CSTRING(256),PRIVATE
PMode                     BYTE,PRIVATE
ThumbnailMode             BYTE,PRIVATE
SortMode                  BYTE,PRIVATE
Image                     LONG,PRIVATE
Panel                     LONG,PRIVATE
FileList                  LONG,PRIVATE
FileList                  LONG,PRIVATE
DrvCombo                  LONG,PRIVATE
OkBtn                     LONG,PRIVATE
FirstFill                 BYTE,PRIVATE
FilterEnabled             BYTE,PRIVATE
LFormat                   STRING(255),PRIVATE
OFormat                   STRING(255),PRIVATE
CaptionName               STRING(255),PRIVATE
FindPath                  STRING(255),PRIVATE
Filter                    STRING(255),PRIVATE
FindFile                  STRING(255),PRIVATE
OldPath                   STRING(255),PRIVATE
OldDrive                  STRING(2),PRIVATE
Construct                 PROCEDURE
Destruct                  PROCEDURE
Init                      PROCEDURE(STRING IniFileName)
Kill                      PROCEDURE
BrowsePictureDir          PROCEDURE(*STRING PictureFile, <STRING FilterString>, <STRING StartPath>, <*BYTE ReturnState>)
ExtractDriver             PROCEDURE(STRING), STRING
PathExists                PROCEDURE(STRING INP:Path), STRING
FindFile                  PROCEDURE(STRING FileName),BYTE
ExtractPath               PROCEDURE(STRING INP:Path), STRING
ExtractFile               PROCEDURE(STRING INP:Path), STRING
ExtractExt                PROCEDURE(STRING INP:Path), STRING
NormDir                   PROCEDURE(STRING), STRING
LoadINI                   PROCEDURE,PRIVATE
SaveINI                   PROCEDURE,PRIVATE
SetCaption                PROCEDURE(STRING Normal)
SortDir                   PROCEDURE,PRIVATE
SetFilter                 PROCEDURE(),BYTE,PRIVATE
RefreshDirectory          PROCEDURE,PRIVATE
RefreshDrive              PROCEDURE,PRIVATE
RefreshPicture            PROCEDURE,PRIVATE
SetStyle                  PROCEDURE,PRIVATE
RestoreLevel              PROCEDURE,PRIVATE
StoreLevel                PROCEDURE(STRING DirName),PRIVATE
FillStoredDir             PROCEDURE,PRIVATE
NormalizeFileName         PROCEDURE(STRING FileName),STRING,PRIVATE
ResizeImages              PROCEDURE
                        END

_EndOfInclude_