#TEMPLATE(xPictureBrowse,'xPicture Browse v2.4'), FAMILY('ABC')
#!====================================================================================================================
#!
#!====================================================================================================================
#EXTENSION(xPictureBrowseGlobal,'Global support for xPicture Browse v2.4'),DESCRIPTION('Global support for xPicture Browse v2.4'),APPLICATION
#SHEET
  #TAB('General')
    #INSERT(%GeneralTab)
  #ENDTAB
  #TAB('Setup'), WHERE(%ProgramExtension = 'EXE')
    #PROMPT('Include Default XP Manifest into EXE', CHECK), %xpbCompileManifest,DEFAULT(%FALSE),AT(20)
  #ENDTAB
#ENDSHEET
#!====================================================================================================================
#AT(%DLLExportList)
  #IF(~%GlobalExternal AND (%ProgramExtension = 'DLL'))
  VMT$XPVIEWCLASS                                               @?
  TYPE$XPVIEWCLASS                                              @?
  VMT$XPVIEWREPORTCLASS                                         @?
  TYPE$XPVIEWREPORTCLASS                                        @?
  VMT$XPBROWSECLASS                                             @?
  TYPE$XPBROWSECLASS                                            @?
  CONSTRUCT@F11XPVIEWCLASS                                      @?
  CONSTRUCT@F13XPBROWSECLASS                                    @?
  INIT@F11XPVIEWCLASSBwllUc                                     @?
  KILL@F11XPVIEWCLASS                                           @?
  SHOWPICTURE@F11XPVIEWCLASSsbOUcOsb                            @?
  SHOWBLOB@F11XPVIEWCLASSBbOUc                                  @?
  RESIZEPICTURE@F11XPVIEWCLASSOUcUc                             @?
  SETMODE@F11XPVIEWCLASSUc                                      @?
  FINDFILE@F11XPVIEWCLASSsb                                     @?
  GETFILENAME@F11XPVIEWCLASS                                    @?
  EXTRACTFILE@F11XPVIEWCLASSsb                                  @?
  INIT@F17XPVIEWREPORTCLASSBrllUc                               @?
  SHOWPICTURE@F17XPVIEWREPORTCLASSsbOUcOsb                      @?
  SHOWBLOB@F17XPVIEWREPORTCLASSBbOUcUc                          @?
  RESIZEPICTURE@F17XPVIEWREPORTCLASSOUcUc                       @?
  INIT@F13XPBROWSECLASSsb                                       @?
  KILL@F13XPBROWSECLASS                                         @?
  BROWSEPICTUREDIR@F13XPBROWSECLASSRsbOsbOsbPUc                 @?
  EXTRACTDRIVER@F13XPBROWSECLASSsb                              @?
  PATHEXISTS@F13XPBROWSECLASSsb                                 @?
  FINDFILE@F13XPBROWSECLASSsb                                   @?
  EXTRACTPATH@F13XPBROWSECLASSsb                                @?
  EXTRACTFILE@F13XPBROWSECLASSsb                                @?
  EXTRACTEXT@F13XPBROWSECLASSsb                                 @?
  NORMDIR@F13XPBROWSECLASSsb                                    @?
  LOADINI@F13XPBROWSECLASS                                      @?
  SAVEINI@F13XPBROWSECLASS                                      @?
  SETCAPTION@F13XPBROWSECLASSsb                                 @?
  SORTDIR@F13XPBROWSECLASS                                      @?
  SETFILTER@F13XPBROWSECLASS                                    @?
  REFRESHDIRECTORY@F13XPBROWSECLASS                             @?
  REFRESHDRIVE@F13XPBROWSECLASS                                 @?
  REFRESHPICTURE@F13XPBROWSECLASS                               @?
  SETSTYLE@F13XPBROWSECLASS                                     @?
  RESTORELEVEL@F13XPBROWSECLASS                                 @?
  STORELEVEL@F13XPBROWSECLASSsb                                 @?
  FILLSTOREDDIR@F13XPBROWSECLASS                                @?
  NORMALIZEFILENAME@F13XPBROWSECLASSsb                          @?
  RESIZEIMAGES@F13XPBROWSECLASS                                 @?
  #ENDIF
#ENDAT
#!====================================================================================================================
#AT(%AfterGlobalIncludes)
   INCLUDE('xpbrowse.inc'),ONCE
#ENDAT
#!====================================================================================================================
#AT(%CustomGlobalDeclarations)
  #IF(%xpbCompileManifest)
    #CREATE(%BuildFile)
%#message "Linking the manifest file..."
%#pragma link("winxpmnf.res")
    #CLOSE(%BuildFile)
    #REPLACE('xpb_manifest.prj',%BuildFile)
    #PROJECT('xpb_manifest.prj')
  #ELSE
    #REMOVE('xpb_manifest.prj')
  #END
#IF(~%GlobalExternal)
  #PROJECT('xpbrowse.clw')
  #PROJECT('xpbrowse.rsc')
  #PROJECT('xpba.ico')
  #PROJECT('xpbc.ico')
  #PROJECT('xpbcancel.ico')
  #PROJECT('xpbfolder.ico')
  #PROJECT('xpbok.ico')
  #PROJECT('xpbt.ico')
#ENDIF
#ENDAT
#!====================================================================================================================
#CONTROL (xPictureBrowse, 'xPicture Browse v2.4'),DESCRIPTION('xPicture Browse v2.4'),MULTI,REQ(xPictureBrowseGlobal)
     CONTROLS
       BUTTON('xPictureBrowse...'),AT(,,40,10),USE(?xPBBtn)
     END
#SHEET
  #TAB('General')
    #INSERT(%GeneralTab)
  #ENDTAB
  #TAB('Setup')
    #PROMPT ('&Return File to Variable:', FIELD), %PictureVar, REQ
    #PROMPT ('&Default path:', FIELD), %DefPicPath
    #PROMPT ('&Extension filter:', OPTFIELD), %FilterVar
    #DISPLAY
    #PROMPT ('&Update screen',CHECK),%UpdateScreen, DEFAULT(%FALSE), AT(10)
    #PROMPT ('&INI File name:', @S255), %pbIniFileName, REQ, DEFAULT('.\xPicBrowse.ini')
    #PROMPT ('&Window Caption:', @S200), %WinCaption
    #DISPLAY
    #DISPLAY('If you need to display the file in xViewPicture')
    #DISPLAY('after a choice, enter a name of the class!')
    #PROMPT ('&xViewPicture Class name:', @S100), %ViewXPBClass
  #ENDTAB
#ENDSHEET
#!====================================================================================================================
#ATSTART
#EQUATE(%AI, %ActiveTemplateInstance)
#DECLARE(%PicBrowserControl)
#FOR (%Control), WHERE(%ControlInstance = %ActiveTemplateInstance)
  #SET (%PicBrowserControl, %Control)
  #BREAK
#ENDFOR
#ENDAT
#!====================================================================================================================
#AT(%DataSection), LAST
xPicBrowse:%AI            &xPBrowseClass
xPicBrowse:%AI:State      BYTE
#ENDAT
#!====================================================================================================================
#AT( %WindowManagerMethodCodeSection, 'Init', '(),BYTE'),PRIORITY(8001)
xPicBrowse:%AI &= NEW(xPBrowseClass)
xPicBrowse:%AI.Init('%pbIniFileName')
xPicBrowse:%AI.SetCaption(%(%StripPling(%WinCaption)))
#ENDAT
#!====================================================================================================================
#AT(%ControlEventHandling, %PicBrowserControl,'Accepted'),FIRST
#IF (%DefPicPath)
xPicBrowse:%AI.BrowsePictureDir(%PictureVar,%(%StripPling(%FilterVar)),%DefPicPath,xPicBrowse:%AI:State)
#ELSE
xPicBrowse:%AI.BrowsePictureDir(%PictureVar,%(%StripPling(%FilterVar)),,xPicBrowse:%AI:State)
#ENDIF
#IF (%ViewXPBClass <> '')
IF xPicBrowse:%AI:State = BUTTON:Ok
  %ViewXPBClass.ShowPicture(%PictureVar)
END
#ENDIF
#IF(%UpdateScreen)
ThisWindow.Update
#ENDIF
#ENDAT
#!====================================================================================================================
#AT(%WindowManagerMethodCodeSection, 'Kill', '(),BYTE'),PRIORITY(7501)
xPicBrowse:%AI.Kill
#ENDAT
#!====================================================================================================================
#CONTROL (xViewPicture, 'xView Picture v2.4'),DESCRIPTION('xView Picture v2.4'),MULTI,REQ(xPictureBrowseGlobal)
     CONTROLS
       PANEL,AT(,,200,200),USE(?xvpPanel),BEVEL(1)
       IMAGE,AT(,,190,190),USE(?xvpImage),HIDE
     END
#SHEET
  #TAB('General')
    #INSERT(%GeneralTab)
  #ENDTAB
  #TAB('Setup')
    #PROMPT ('&Class name:', @S100), %xvpClassName, REQ, DEFAULT('xvpClass')
    #PROMPT ('&Border size:', SPIN(@N_3,1,100)),%BorderSiz, REQ, DEFAULT(3)
  #ENDTAB
#ENDSHEET
#!====================================================================================================================
#ATSTART
#EQUATE(%ResizerInstance, %FindLTInstance('WindowResize(ABC)'))
#DECLARE(%xvpPanel)
#DECLARE(%xvpImage)
#FOR (%Control), WHERE(%ControlInstance = %ActiveTemplateInstance)
  #IF (%ControlOriginal = '?xvpPanel')
    #SET (%xvpPanel, %Control)
  #ENDIF
  #IF (%ControlOriginal = '?xvpImage')
    #SET (%xvpImage, %Control)
  #ENDIF
#ENDFOR
#ENDAT
#!====================================================================================================================
#AT(%ResizerMethodCodeSection, %ResizerInstance, 'Resize'),WHERE(%ResizerInstance <> 0)
%xvpClassName.ResizePicture
#ENDAT
#!====================================================================================================================
#AT(%DataSection), LAST
%xvpClassName            &xPViewClass
#ENDAT
#!====================================================================================================================
#AT( %WindowManagerMethodCodeSection, 'Init', '(),BYTE'),PRIORITY(8001)
%xvpClassName &= NEW(xPViewClass)
%xvpClassName.Init(%WINDOW, %xvpImage, %xvpPanel, %BorderSiz)
#ENDAT
#!====================================================================================================================
#AT(%WindowManagerMethodCodeSection, 'Kill', '(),BYTE'),PRIORITY(7501)
%xvpClassName.Kill
#ENDAT
#!====================================================================================================================
#CONTROL (xViewPictureForReport, 'xView Picture for Report v2.4'),DESCRIPTION('xView Picture for Report v2.4'),REPORT,MULTI,REQ(xPictureBrowseGlobal)
     CONTROLS
       GROUP,AT(,,2000,2000),USE(?xvpPanel)
       IMAGE,AT(,,190,190),USE(?xvpImage),HIDE
       END
     END
#SHEET
  #TAB('General')
    #INSERT(%GeneralTab)
  #ENDTAB
  #TAB('Setup')
    #PROMPT ('&Class Name:', @S100), %xvpClassName, REQ, DEFAULT('xvpClass')
    #PROMPT ('&Variable:', FIELD), %xvpVar
    #PROMPT ('&Blob Field', CHECK), %xvpBlob, AT(10), DEFAULT(%FALSE)
    #ENABLE (%xvpBlob)
      #PROMPT ('B&LOB Variable:', @S255), %xvpBlobVar, REQ
    #ENDENABLE
    #PROMPT ('Border &Size:', SPIN(@N_3,1,100)),%BorderSiz, REQ, DEFAULT(3)
  #ENDTAB
#ENDSHEET
#!====================================================================================================================
#ATSTART
#DECLARE(%xvpPanel)
#DECLARE(%xvpImage)
#FOR (%ReportControl), WHERE(%ReportControlInstance = %ActiveTemplateInstance)
  #IF (%ReportControlOriginal = '?xvpPanel')
    #SET (%xvpPanel, %ReportControl)
  #ENDIF
  #IF (%ReportControlOriginal = '?xvpImage')
    #SET (%xvpImage, %ReportControl)
  #ENDIF
#ENDFOR
#IF (%xvpBlob)
  #DECLARE(%TempAdd)
  #SET(%TempAdd, 0)
  #FOR(%HotFields)
    #IF(%HotField = %xvpBlobVar)
      #SET(%TempAdd, 1)
      #BREAK
    #ENDIF
  #ENDFOR
  #IF(%TempAdd = 0)
    #ADD(%HotFields,0)
    #SET(%HotField,%xvpBlobVar)
  #ENDIF
#ENDIF
#ENDAT
#!====================================================================================================================
#AT(%DataSection), LAST
%xvpClassName            &xPViewReportClass
#ENDAT
#!====================================================================================================================
#AT( %WindowManagerMethodCodeSection, 'Init', '(),BYTE'),PRIORITY(8001)
%xvpClassName &= NEW(xPViewReportClass)
%xvpClassName.Init(%Report, %xvpImage, %xvpPanel, %BorderSiz)
#ENDAT
#!====================================================================================================================
#AT(%WindowManagerMethodCodeSection, 'Kill', '(),BYTE'),PRIORITY(7501)
%xvpClassName.Kill
#ENDAT
#!====================================================================================================================
#AT(%BeforePrint),PRIORITY(9999)
#IF (%xvpBlob)
IF %xvpClassName.FindFile(%xvpVar) = TRUE
  %xvpClassName.ShowPicture(%xvpVar)
ELSE
  %xvpClassName.ShowBlob(%xvpBLOBVar,,TRUE)
END
#ELSE
%xvpClassName.ShowPicture(%xvpVar)
#ENDIF
#ENDAT
#!====================================================================================================================
#GROUP(%FindLTInstance, %LookFor),PRESERVE
  #FOR(%ActiveTemplate),WHERE(%ActiveTemplate = %LookFor)
    #FOR(%ActiveTemplateInstance)
      #RETURN(%ActiveTemplateInstance)
    #ENDFOR
  #ENDFOR
  #RETURN(0)
#!====================================================================================================================
#GROUP(%StripPling,%Incoming),AUTO
#DECLARE(%RVal)
#CALL(%StripPling(ABC), %Incoming),%Rval
#RETURN(%RVal)
#!====================================================================================================================
#GROUP(%GeneralTab)
 #IMAGE('sealsoft.bmp')
 #DISPLAY('xPictureBrowse'),AT(85,5),PROP(PROP:FontStyle,700)
 #DISPLAY('Version 2.4'),AT(85,15),PROP(PROP:FontStyle,700)
 #DISPLAY('Copyright 2001-2010'),AT(85,25),PROP(PROP:FontStyle,700)
 #DISPLAY('SealSoft Company'),AT(85,35),PROP(PROP:FontStyle,700)
 #DISPLAY('All Rights Reserved'),AT(85,45),PROP(PROP:FontStyle,700)
 #DISPLAY
 #DISPLAY
 #DISPLAY('WARNING')
 #DISPLAY('This product is protected by copyright and international')
 #DISPLAY('law. Unauthorized reproduction and/or distribution of this')
 #DISPLAY('product may result in severe civil and criminal penalties,')
 #DISPLAY('and will be prosecuted to the maximum extend possible')
 #DISPLAY('under the law.')
 #DISPLAY
 #PROMPT('Support E-Mail:',@S200),%CompanyMail,DEFAULT('support@seal-soft.com'),PROP(PROP:ReadOnly,1),PROP(PROP:Skip,1)
 #PROMPT('Official Site:',@S200),%CompanySite,DEFAULT('http://www.seal-soft.com'),PROP(PROP:ReadOnly,1),PROP(PROP:Skip,1)
 #DISPLAY()
